import request from '@/utils/request'

// 查询安全带列表
export function listSafetyBelt(query) {
  return request({
    url: '/commonuse/safetyBelt/list',
    method: 'get',
    params: query
  })
}

// 查询安全带详细
export function getSafetyBelt(id) {
  return request({
    url: '/commonuse/safetyBelt/' + id,
    method: 'get'
  })
}

// 新增安全带
export function addSafetyBelt(data) {
  return request({
    url: '/commonuse/safetyBelt',
    method: 'post',
    data: data
  })
}

// 修改安全带
export function updateSafetyBelt(data) {
  return request({
    url: '/commonuse/safetyBelt',
    method: 'put',
    data: data
  })
}

// 删除安全带
export function delSafetyBelt(id) {
  return request({
    url: '/commonuse/safetyBelt/' + id,
    method: 'delete'
  })
}
